Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227495 - CVE-2007-0006 Key serial number collision problem
Summary: CVE-2007-0006 Key serial number collision problem
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel
Version: 4.0
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
: ---
Assignee: David Howells
QA Contact: Brian Brock
URL:
Whiteboard: impact=important,source=kernelbugzill...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-06 13:56 UTC by Marcel Holtmann
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

Fixed In Version: RHSA-2007-0085
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-27 07:56:34 UTC
Target Upstream Version:


Attachments (Terms of Use)
Patch to fix key serial number collision problem in RHEL4 (deleted)
2007-02-06 14:50 UTC, David Howells
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:0085 normal SHIPPED_LIVE Important: kernel security update 2007-02-27 07:54:19 UTC

Description Marcel Holtmann 2007-02-06 13:56:06 UTC
The key serial number collision avoidance code is wrong.

This didn't use to be a problem as the key serial numbers were allocated from 
a simple incremented counter, and you'd have to go through 2 billion keys 
before encountering a collision.

However, now that random numbers are used instead, collisions are much more 
likely.

http://bugzilla.kernel.org/show_bug.cgi?id=7727

Comment 2 David Howells 2007-02-06 14:50:21 UTC
Created attachment 147468 [details]
Patch to fix key serial number collision problem in RHEL4

Comment 5 Jason Baron 2007-02-19 22:48:49 UTC
committed in stream E5 build 42.0.10. A test kernel with this patch is available
from http://people.redhat.com/~jbaron/rhel4/


Comment 7 RHEL Product and Program Management 2007-02-20 15:04:02 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 10 Red Hat Bugzilla 2007-02-27 07:56:35 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0085.html


Comment 11 Jason Baron 2007-02-27 20:17:30 UTC
committed in stream U5 build 49. A test kernel with this patch is available from
http://people.redhat.com/~jbaron/rhel4/



Note You need to log in before you can comment on or make changes to this bug.